Please merge libming1 1:0.4.2-4 (universe) from debian experimental (main)

Bug #192664 reported by Shirish Agarwal on 2008-02-17
8
Affects Status Importance Assigned to Milestone
ming (Debian)
Fix Released
Unknown
ming (Ubuntu)
Wishlist
Unassigned

Bug Description

Upstream released a new version. This is the differences between the last release done & one upstream has released on www.libming.org:

 ming (1:0.4.2-4) experimental; urgency=low

   * 05_shared_perl: Let the perl module link with the shared library instead
     of forcing the archive. This is needed for work on hppa, where using -fPIC
     alone is not enough. Closes: #510154

 -- Stuart R. Anderson <email address hidden> Tue, 30 Dec 2008 10:54:15 -0500
ming (1:0.4.2-3) experimental; urgency=low

   * 04_PIC: turn on -fPIC for alpha, ia64, and hppa

 -- Stuart R. Anderson <email address hidden> Mon, 29 Dec 2008 14:43:53 -0500
ming (1:0.4.2-2) experimental; urgency=low

   * Inline the text of the PHP license for completeness,
     and policy conformance.
   * Note that the new version should also fix a FTBFS. Closes: #497749

 -- Stuart R. Anderson <email address hidden> Fri, 26 Dec 2008 10:46:49 -0500
ming (1:0.4.2-1) experimental; urgency=low

   * New upstream release 0.4.2. Closes: #509401

 -- Stuart R. Anderson <email address hidden> Mon, 22 Dec 2008 10:19:04 -0500
ming (1:0.4.0.beta5.cvs20080518-1) experimental; urgency=low

   * Update to new upstream versions. Closes: #466122

 -- Stuart R. Anderson <email address hidden> Mon, 19 May 2008 16:25:07 -0400

Related branches

description: updated
description: updated
David Futcher (bobbo) on 2008-02-17
Changed in ming:
status: New → Confirmed
Daniel Holbach (dholbach) wrote :

I'm not sure what you are referring to. "Syncing" means "sync from Debian" (http://wiki.ubuntu.com/SyncRequestProcess). If this is the case: these are the changes that were done in Ubuntu:

ming (1:0.3.0-12ubuntu1) hardy; urgency=low

  * transition from libungif to giflib (LP: #174252)
    - debian/control: s/libungif4-dev/libgif-dev/
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- dAniel hAhler < <email address hidden>> Sat, 05 Jan 2008 01:51:57 +0100

These might need to get merged manually.

Luca Falavigna (dktrkranz) wrote :

Also, a Feature Freeze exception (https://wiki.ubuntu.com/FreezeExceptionProcess) is required.

Changed in ming:
assignee: nobody → shirishag75
importance: Undecided → Wishlist
status: Confirmed → Incomplete
Shirish Agarwal (shirishag75) wrote :

Lucia,
While i can do the diffs very well of the changelog but no more than that, don't have the required technical skills.

Daniel,
    You're right, perhaps I need to say upgrade for the same issue is also in debian.

Changed in ming:
status: Unknown → New
Changed in ming:
assignee: shirishag75 → nobody
description: updated
Changed in ming:
status: Incomplete → New

A 0.4.0 package will be uploaded to Debian Experimental soon.

Changed in ming:
status: New → Fix Released

0.4.2 is in experimental now

Artur Rona (ari-tczew) on 2009-07-27
tags: added: upgrade
Artur Rona (ari-tczew) on 2009-08-04
description: updated
tags: added: merge
summary: - Please update Ming to 0.4.0.rc1
+ Please merge libming1 (1:0.4.2-4) from debian experimental
Artur Rona (ari-tczew) on 2009-08-29
summary: - Please merge libming1 (1:0.4.2-4) from debian experimental
+ Please merge libming1 1:0.4.2-4 (universe) from debian experimental
+ (main)
Eric Hedekar (stochastic) wrote :

Can we please see this merged soon? A few other programs have major swf related bugs that get fixed with the 0.4.2 version of ming.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ming - 1:0.4.3-1ubuntu1

---------------
ming (1:0.4.3-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable (LP: #192664), remaining changes:
    - Python 2.6 transition:
      - debian/rules:
        + Include /usr/share/python/python.mk.
        + Add py_setup_install_args macro to setup.py install.
        + Installed modules differ between python versions and can't be shared,
          use DH_PYCENTRAL=nomove.
      - Remove unnecessary debian/python-ming.{dirs,files}, Python 2.3 is not
        supported anymore.
  * debian/control: separate dependencies by commas.

ming (1:0.4.3-1) unstable; urgency=low

  * New Upstream Release

ming (1:0.4.2-5) unstable; urgency=low

  * New upstream release 0.4.2 move to unstable (Closes: #509401)
  * Add missing man pages
  * Fix problem with newer bison (Closes: #519406)
  * Gif library transition (Closes: #487845)
  * Deal with a FTBFS (CLoses: #527710)
  * Update the policy version and fix errors

ming (1:0.4.2-4) experimental; urgency=low

  * 05_shared_perl: Let the perl module link with the shared library instead
    of forcing the archive. This is needed for work on hppa, where using -fPIC
    alone is not enough. (Closes: #510154)

ming (1:0.4.2-3) experimental; urgency=low

  * 04_PIC: turn on -fPIC for alpha, ia64, and hppa

ming (1:0.4.2-2) experimental; urgency=low

  * Inline the text of the PHP license for completeness,
    and policy conformance.
  * Note that the new version should also fix a FTBFS. (Closes: #497749)

ming (1:0.4.2-1) experimental; urgency=low

  * New upstream release 0.4.2. (Closes: #509401)

ming (1:0.4.0.beta5.cvs20080518-1) experimental; urgency=low

  * Update to new upstream versions. (Closes: #466122)
 -- Ilya Barygin <email address hidden> Thu, 11 Feb 2010 10:57:41 +0300

Changed in ming (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.